@tool
extends EditorPlugin


func _enter_tree():
	add_custom_type("Focus", "Camera2D", preload("res://addons/slide_show/projector/focus/Focus.gd"), preload("res://addons/slide_show/projector/focus/CameraTexture_green.svg"))
	add_custom_type("Show", "Node2D", preload("res://addons/slide_show/projector/show/Show.gd"), preload("res://addons/slide_show/projector/show/MainMovieWrite_green.svg"))
	add_custom_type("Slide", "Node2D", preload("res://addons/slide_show/projector/slide/Slide.gd"), preload("res://addons/slide_show/projector/slide/Image_green.svg"))


func _exit_tree():
	remove_custom_type("Slide")
	remove_custom_type("Show")
	remove_custom_type("Focus")
